QGIS Application - Bug report #11970
iface.getFeatureForm dialog
2015-01-08 10:16 AM - Rudolf Kniess

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:2.6.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20177
Description

This dialog is used by several plugins (CadTools-Spline, Freehand) and dosn't work. The Dialog is not editable. | select a vector layer and
run this from python shell.

layer = iface.mapCanvas().currentLayer()
f = QgsFeature(layer.pendingFields())
dlg = iface.getFeatureForm(layer, f)
dig.exec_()

History

#1 - 2015-01-09 12:27 AM - Giovanni Manghi
- Category set to Python plugins

#2 - 2015-01-12 04:12 AM - Matthias Kuhn
- Status changed from Open to Closed

This has been fixed in master ( commit:dd1bb9f8512c¢ )
Please reopen if you can reproduce this in master.

2025-05-19 1/1




